Subject: Re: bug#870: /usr/bin/xflock4: xflock4: gdbus: not found; missing dependency on libglib2.0-bin

From: Alejandro Colomar <[email-masked]>
Date: Tue, 31 Dec 2024 11:58:52 +0100

Hi Mark,

On Tue, Dec 31, 2024 at 07:24:48AM +0000, Mark Hindley wrote:
> Alejandro,
> Thanks for this.

You're welcome!  :)

> 
> On Mon, Dec 30, 2024 at 09:33:20PM +0100, Alejandro Colomar wrote:
> > Since recently, I can't lock screen on XFCE4.  This happens both in
> > Debian and in Devuan.  I tried doing it from the terminal:
> > 
> > 	$ xflock4
> > 	/usr/bin/xflock4: 49: gdbus: not found
> > 
> > And it seems a dependency is missing.
> > 
> > 	$ apt-file find -x bin/gdbus$
> > 	libglib2.0-bin: /usr/bin/gdbus
> > 
> > I've installed libglib2.0-bin, and now it works.  It seems the
> > dependency is missing.  Would you mind adding it?
> 
> This appears to be the same as Debian #1064099.

Yup.

> Although the suggestion there is that
> Recommends is sufficient, I think I will add it to Depends.

Thanks; that makes more sense, I think.  I don't conceive an
installation of xfce4-session that would be interested in not having a
working xflock4.

I've CCed them in my reply, so that they know of our bug, and different
resolution.
For people reading the Debian bug, we're discussing thius bug in Devuan:
<https://bugs.devuan.org/cgi/bugreport.cgi?bug=870>
Hopefully, they'll add it to Depends, minimizing the difference.

Have a lovely new year!
Alex

> Mark

-- 
<https://www.alejandro-colomar.es/>